Retrieve Application License Usage
Retrieve your current license usage compared to the licenses that your organization has purchased. This information is similar to the information displayed in the Vault UI from Admin > Settings > General Settings.
Some Vaults use multiple applications, for example, a RIM Vault with Submissions and Registrations. In these Vaults, users have a license value for each application they can access. Application licensing allows Vault to track available licenses at the application level, but does not control a user’s access in most Vaults. A user assigned to multiple applications will use one (1) application license per application. Learn more about Application Licenses in Vault Help
GET
/api/{version}/objects/licensesHeaders
Section link for Headers| Name | Description |
|---|---|
Accept | application/json (default) or application/xml |
Request
Section link for Requestcurl -X DELETE -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v24.2/objects/licensesResponse
Section link for Response{
"responseStatus": "SUCCESS",
"doc_count": {
"licensed": 4000,
"used": 2380
},
"applications": [
{
"application_name": "pmPromoMats_v",
"user_licensing": {
"full__v": {
"licensed": 500,
"used": 491,
"shared": false
},
"external__v": {
"licensed": 100,
"used": 67,
"shared": false
},
"read_only__v": {
"licensed": 100,
"used": 28,
"shared": false
}
}
},
{
"application_name": "pmMultichannel_v",
"user_licensing": {
"full__v": {
"licensed": 500,
"used": 441,
"shared": false
},
"external__v": {
"licensed": 0,
"used": 0,
"shared": false
},
"read_only__v": {
"licensed": 0,
"used": 0,
"shared": false
}
}
}
]
}Response Details
Section link for Response DetailsThe response contains the following application license details: